@import "base.scss";
@import "./components/navbar.scss";
@import "./components/footer.scss";

body {
  // background: #f6f6f6;
}

.main-wrapper {
  max-width: 800px;
  box-shadow: 0 1px 4px 0 #9b9b9b;
  margin: 0 auto;
  position: relative;
}

.hero-slide {
  width: 100%;
  height: 600px;
  position: relative;
  &:before {
    content: "";
    background: rgba(0,0,0,0.5);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
  }
  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  .hero-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    text-align: center;
    h4 {
      color: #fff;
      font-size: 24px;
      font-family: 'Raleway', sans-serif;
      font-weight: normal;
      letter-spacing: 0.6px;
    }
    h2 {
      font-weight: normal;
      color: #fff;
      font-size: 48px;
      font-family: 'Raleway', sans-serif;
    }
    a {
      display: inline-block;
      margin-top: 20px;
      cursor: pointer;
      text-decoration: none;
      border-radius: 42px;
      border: 1px solid #fff;
      letter-spacing: 0.4px;
      line-height: 1.25;
      padding: 9px 30px;
      height: 42px;
      color: #fff;
      font-size: 16px;
    }
  }
}

.slick-slider{
  margin-bottom: 0;
}

.slick-prev,.slick-next {
  position: static;
  display: inline-block !important;
}

.slick-prev {
  &:before {
    content: "";
    background: url('/icons/left-arrow.svg');
    width: 16px;
    height: 16px;
    display: block;
  }
}

.slick-next:before {
  content: "";
  background: url('/icons/right-arrow.svg');
  width: 16px;
  height: 16px;
  display: block;
}

.slider-footer {
  height: 80px;
  width: 100%;
  background: #eaeaea;
  line-height: 80px;
  .arrows {
    display: inline-block;
    float: right;
    height: 100%;
    text-align: center;
    position: relative;
    width: 120px;
    &:after {
      content: "";
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      height: 2px;
      background: #333;
      width: 30px;
      display: inline-block;
    }
    button {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      &.slick-prev {
        left: 30px;
      }
      &.slick-next {
        right: 25px;
      }
    }
  }
  .pagination {
    display: inline-block;
    width: 120px;
    text-align: center;
    font-size: 18px;
  }
  padding: 0 20px;
}


.section-heading {
  font-size: 28px;
  text-align: center;
  padding: 40px 20px;
}

.latest-news {
  width: 75%;
  margin: 0 auto;
  overflow: hidden;
  .slick-arrow {
    display: none !important;
  }
}

.col {
  width: auto !important;
  margin: 0 20px;
  display: inline-block !important;
}

.news-card {
  font-size: 16px;
  max-width: 310px;
  min-height: 360px;
  padding: 40px 30px;
  margin: 0 auto;
  box-sizing: border-box;
  // padding: 40px;
  h1 {
    color: #fff;
  }
  p {
    margin-top: 40px;
    font-size: 18px;
    color: #fff;
    font-weight: 600;
  }
}
